# SDPMediaFormat Class Reference

`#include <sdp.h>`

List of all members.

## Public Types

enum | NTEEvent { Digit0 = 0, Digit1 = 1, Digit2 = 2, Digit3 = 3, Digit4 = 4, Digit5 = 5, Digit6 = 6, Digit7 = 7, Digit8 = 8, Digit9 = 9, Star = 10, Hash = 11, A = 12, B = 13, C = 14, D = 15, Flash = 16 }

## Public Member Functions

| SDPMediaFormat (RTP_DataFrame::PayloadTypes payloadType, const char *name=NULL)
| SDPMediaFormat (const OpalMediaFormat &mediaFormat, RTP_DataFrame::PayloadTypes pt, const char *nteString=NULL)
void | PrintOn (ostream &str) const
RTP_DataFrame::PayloadTypes | GetPayloadType () const
PString | GetEncodingName () const
void | SetEncodingName (const PString &v)
void | SetFMTP (const PString &_fmtp)
PString | GetFMTP () const
unsigned | GetClockRate (void)
void | SetClockRate (unsigned v)
void | SetParameters (const PString &v)
void | SetPacketTime (const PString &optionName, unsigned ptime)
const OpalMediaFormat & | GetMediaFormat () const
bool | ToNormalisedOptions ()

## Protected Member Functions

void | AddNTEString (const PString &str)
void | AddNTEToken (const PString &ostr)
PString | GetNTEString () const
void | AddNSEString (const PString &str)
void | AddNSEToken (const PString &ostr)
PString | GetNSEString () const
void | AddNXEString (POrdinalSet &nxeSet, const PString &str)
void | AddNXEToken (POrdinalSet &nxeSet, const PString &ostr)
PString | GetNXEString (POrdinalSet &nxeSet) const

## Protected Attributes

OpalMediaFormat | mediaFormat
RTP_DataFrame::PayloadTypes | payloadType
unsigned | clockRate
PString | encodingName
PString | parameters
PString | fmtp
POrdinalSet | nteSet
POrdinalSet | nseSet

## Member Enumeration Documentation

enum SDPMediaFormat::NTEEvent

Enumerator:

  Digit0 |
  Digit1 |
  Digit2 |
  Digit3 |
  Digit4 |
  Digit5 |
  Digit6 |
  Digit7 |
  Digit8 |
  Digit9 |
  Star |
  Hash |
  A |
  B |
  C |
  D |
  Flash |

## Constructor & Destructor Documentation

SDPMediaFormat::SDPMediaFormat | ( | RTP_DataFrame::PayloadTypes | payloadType,
|  | const char * | name = `NULL` |
| ) |  |  |

SDPMediaFormat::SDPMediaFormat | ( | const OpalMediaFormat & | mediaFormat,
|  | RTP_DataFrame::PayloadTypes | pt,
|  | const char * | nteString = `NULL` |
| ) |  |  |

## Member Function Documentation

void SDPMediaFormat::PrintOn | ( | ostream & | str | ) | const

RTP_DataFrame::PayloadTypes SDPMediaFormat::GetPayloadType | ( |  | ) | const`[inline]`

PString SDPMediaFormat::GetEncodingName | ( |  | ) | const`[inline]`

void SDPMediaFormat::SetEncodingName | ( | const PString & | v | ) | `[inline]`

void SDPMediaFormat::SetFMTP | ( | const PString & | _fmtp | ) |

PString SDPMediaFormat::GetFMTP | ( |  | ) | const

unsigned SDPMediaFormat::GetClockRate | ( | void |  | ) | `[inline]`

void SDPMediaFormat::SetClockRate | ( | unsigned | v | ) | `[inline]`

void SDPMediaFormat::SetParameters | ( | const PString & | v | ) | `[inline]`

void SDPMediaFormat::SetPacketTime | ( | const PString & | optionName,
|  | unsigned | ptime |
| ) |  |  |

const OpalMediaFormat& SDPMediaFormat::GetMediaFormat | ( |  | ) | const

bool SDPMediaFormat::ToNormalisedOptions | ( |  | ) |

void SDPMediaFormat::AddNTEString | ( | const PString & | str | ) | `[protected]`

void SDPMediaFormat::AddNTEToken | ( | const PString & | ostr | ) | `[protected]`

PString SDPMediaFormat::GetNTEString | ( |  | ) | const`[protected]`

void SDPMediaFormat::AddNSEString | ( | const PString & | str | ) | `[protected]`

void SDPMediaFormat::AddNSEToken | ( | const PString & | ostr | ) | `[protected]`

PString SDPMediaFormat::GetNSEString | ( |  | ) | const`[protected]`

void SDPMediaFormat::AddNXEString | ( | POrdinalSet & | nxeSet,
|  | const PString & | str |
| ) |  |  | `[protected]`

void SDPMediaFormat::AddNXEToken | ( | POrdinalSet & | nxeSet,
|  | const PString & | ostr |
| ) |  |  | `[protected]`

PString SDPMediaFormat::GetNXEString | ( | POrdinalSet & | nxeSet | ) | const`[protected]`

## Member Data Documentation

OpalMediaFormat SDPMediaFormat::mediaFormat `[mutable, protected]`

RTP_DataFrame::PayloadTypes SDPMediaFormat::payloadType `[protected]`

unsigned SDPMediaFormat::clockRate `[protected]`

PString SDPMediaFormat::encodingName `[protected]`

PString SDPMediaFormat::parameters `[protected]`

PString SDPMediaFormat::fmtp `[protected]`

POrdinalSet SDPMediaFormat::nteSet `[mutable, protected]`

POrdinalSet SDPMediaFormat::nseSet `[mutable, protected]`

The documentation for this class was generated from the following file:

- sdp.h